Subject: cp with --dereference (-L) and --link (-l) or --symbolic-link (-s)

From: Petr Skočík <[email-masked]>
Date: Sat, 26 Mar 2016 11:36:15 +0100

Hi,

I'm on a system with cp 8.21, and when I do `cp -Ll` or `cp -Ls` on a
symlink, it hardlinks (-Ll) or symlinks (-Ls) the symlink instead of the
target of the symlink.

It behaves the same on single files and trees (with `-r`).

I think the logical thing to do would be for to `cp` to symlink or
hardlink the symlink target in these cases.

What do you think?

Best regards,
Petr.

(
My particular use case is that I'd like to turn a part of an augmented
tree of symlinks (created with `cp -s` + additional file creation on top
of that) into a tree of hardlinks to the sources.
)